Fastai v1 install issues thread

(Stas Bekman) #336

That’s much better. Thank you.

You don’t need to rely on the fastai automatic dependencies if you can arrange for them yourself. Please see:
https://docs.fast.ai/install.html#custom-dependencies

As you said, fastai should not have a problem with any platform however it has many dependencies which some are not easy to install on an (Arm processor). For example, it was not that straight forward to install Pillow. That’s why I am asking if an installation instruction exists for this type of hardware.

I have a feeling you will be the one to write them for that arch. Nobody has ever asked for this arch until now.

Please feel free to ask for specifics if you get stuck.

0 Likes

(Pramod) #337

I have tried installing fastai and when I launch the Jupyter notebook, I keep getting the error:

Previously, I ran the following commands:

OS = MacOS

source activate py36
sudo conda install -c fastai fastai

Output of which python3.6
/anaconda3/envs/py36/bin/python3.6

Output of which python3.5
python3.5 not found

Then, when I launch the jupyter notebook from terminal:

  File "/anaconda3/lib/python3.6/site-packages/tornado/web.py", line 1512, in _execute
    result = yield result
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1055, in run
    value = future.result()
  File "/anaconda3/lib/python3.6/site-packages/tornado/concurrent.py", line 238, in result
    raise_exc_info(self._exc_info)
  File "<string>", line 4, in raise_exc_info
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1063, in run
    yielded = self.gen.throw(*exc_info)
  File "/anaconda3/lib/python3.6/site-packages/notebook/services/sessions/handlers.py", line 73, in post
    type=mtype))
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1055, in run
    value = future.result()
  File "/anaconda3/lib/python3.6/site-packages/tornado/concurrent.py", line 238, in result
    raise_exc_info(self._exc_info)
  File "<string>", line 4, in raise_exc_info
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1063, in run
    yielded = self.gen.throw(*exc_info)
  File "/anaconda3/lib/python3.6/site-packages/notebook/services/sessions/sessionmanager.py", line 79, in create_session
    kernel_id = yield self.start_kernel_for_session(session_id, path, name, type, kernel_name)
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1055, in run
    value = future.result()
  File "/anaconda3/lib/python3.6/site-packages/tornado/concurrent.py", line 238, in result
    raise_exc_info(self._exc_info)
  File "<string>", line 4, in raise_exc_info
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1063, in run
    yielded = self.gen.throw(*exc_info)
  File "/anaconda3/lib/python3.6/site-packages/notebook/services/sessions/sessionmanager.py", line 92, in start_kernel_for_session
    self.kernel_manager.start_kernel(path=kernel_path, kernel_name=kernel_name)
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 1055, in run
    value = future.result()
  File "/anaconda3/lib/python3.6/site-packages/tornado/concurrent.py", line 238, in result
    raise_exc_info(self._exc_info)
  File "<string>", line 4, in raise_exc_info
  File "/anaconda3/lib/python3.6/site-packages/tornado/gen.py", line 307, in wrapper
    yielded = next(result)
  File "/anaconda3/lib/python3.6/site-packages/notebook/services/kernels/kernelmanager.py", line 148, in start_kernel
    super(MappingKernelManager, self).start_kernel(**kwargs)
  File "/anaconda3/lib/python3.6/site-packages/jupyter_client/multikernelmanager.py", line 110, in start_kernel
    km.start_kernel(**kwargs)
  File "/anaconda3/lib/python3.6/site-packages/jupyter_client/manager.py", line 258, in start_kernel
    **kw)
  File "/anaconda3/lib/python3.6/site-packages/jupyter_client/manager.py", line 203, in _launch_kernel
    return launch_kernel(kernel_cmd, **kw)
  File "/anaconda3/lib/python3.6/site-packages/jupyter_client/launcher.py", line 128, in launch_kernel
    proc = Popen(cmd, **kwargs)
  File "/anaconda3/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/anaconda3/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/opt/python3/bin/python3.5': '/usr/local/opt/python3/bin/python3.5'

output of echo $PATH:

/anaconda3/envs/py36/bin:/anaconda3/bin:/bin:/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/anaconda3/envs/py36/bin:/Users/pramodsrinivasan/google-cloud-sdk/bin:/anaconda3/bin:/bin:/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin
0 Likes

(Stas Bekman) #338

check some earlier posts in this thread with the same issue, your ~/.jupyter has some old values that point to python-35. - you could just reset it (back up first).

sudo conda install -c fastai fastai

this is not correct, please see: https://github.com/fastai/fastai/blob/master/README.md#installation (but it’s unrelated to your error you’re reporting).

0 Likes

(Matthew Rosenthal) #339

Hi All,

I am planning to create an AWS EC2 machine for building models. Is there an AMI or any other instructions?

I’ve taken a brief look around but didn’t find anything obvious.
My general plan is to create an P2 or P3 Ubuntu Machine and follow along the installation instructions.

Thanks

Matt

0 Likes

(Stas Bekman) split this topic #340

6 posts were merged into an existing topic: Improving/Expanding Functional Tests

0 Likes

(Edmund Ronald, PhD.) #341

Hi -

Is there a one line install for Fastai with graphics drivers like for TF on Ubuntu?

I just made a box with Ubuntu 18.04 LTS. and got my RTX 2060 working with $ sudo ubuntu-drivers autoinstall. Installing tensorflow with gfx support just requires one line:

conda create --name tf_gpu tensorflow-gpu

Is there a similar one-line conda install for fastai that loads in all required cuda support?

Edmund

0 Likes

(Stas Bekman) #342
conda create --name testme -c pytorch -c fastai fastai
conda activate testme
1 Like

(Matthew Rosenthal) #343

Any recommendations on Ubuntu AMI images? Will the standard one work or do I need to get one customized for deep learning?

0 Likes

(Stas Bekman) #344

This is a fastai v1 installation issues thread. You probably want to open another thread if such doesn’t exist already to discuss specific platforms and their specific automation ways.

0 Likes

(Edmund Ronald, PhD.) #345

Yeah I found that too. Problem solved. Let’s leave this here for people searching.

Edmund

1 Like

(auro tripathy) #346

I use PyTorch 1.0 on the AMD GPU, https://rocm.github.io/pytorch.html

How would I go about installing the fast.ai libraries on top of an existing PyTorch install built for AMD GPUs.

I just need a few pointers and I can hack thru the install scripts.

Thank you.

0 Likes

(Stas Bekman) #347

See: https://docs.fast.ai/install.html#custom-dependencies

Please report back if you manage to get it to work, @aurotripathy

0 Likes

(auro tripathy) #348

Hello @stas.
Thank you for the link.
Applying the installation steps at the link, I was able to get thru the training portion of lesson 1.
I’ll report back again after a few more tests.

1 Like

(Andreas) #349

I’m trying to install pillow-simd for faster JPEG decoding (as explained here) with the following commands:

conda uninstall --force jpeg libtiff -y
conda install -c conda-forge libjpeg-turbo
CC="cc -mavx2" pip install --no-cache-dir -U --force-reinstall --no-binary :all: --compile pillow-simd

The last command fails with the following output:

console output
Collecting package metadata: done
Solving environment: \ 
The environment is inconsistent, please check the package plan carefully
The following packages are causing the inconsistency:

  - defaults/linux-64::qt==5.6.3=h8bf5577_3
  - conda-forge/noarch::jupyter==1.0.0=py_1
  - defaults/linux-64::scikit-image==0.14.1=py37he6710b0_0
  - defaults/linux-64::pyqt==5.6.0=py37h22d08a2_6
  - defaults/linux-64::imageio==2.4.1=py37_0
  - defaults/linux-64::matplotlib==2.2.2=py37hb69df0a_2
  - defaults/noarch::dask==1.1.1=py_0
  - defaults/linux-64::bokeh==1.0.4=py37_0
  - fastai/noarch::fastai==1.0.52=1
  - defaults/linux-64::pillow==6.0.0=py37h34e0f95_0
  - pytorch/noarch::torchvision==0.2.2=py_3
  - conda-forge/noarch::seaborn==0.9.0=py_0
  - defaults/linux-64::qtconsole==4.4.3=py37_0
  - defaults/linux-64::bcolz==1.2.1=py37h04863e7_0
done

# All requested packages already installed.

(fastai) andreas@max-ubuntu:/media/andreas/Data/Machine Learning$ CC="cc -mavx2" pip install --no-cache-dir -U --force-reinstall --no-binary :all: --compile pillow-simd
Collecting pillow-simd
  Downloading https://files.pythonhosted.org/packages/c1/14/7503657df68b428cb38e1f2cb5f8f086b53e9b6f4b79546596d1fcc30256/Pillow-SIMD-5.3.0.post1.tar.gz (606kB)
    100% |████████████████████████████████| 614kB 19.0MB/s 
Installing collected packages: pillow-simd
  Running setup.py install for pillow-simd ... error
    Complete output from command /home/andreas/anaconda3/envs/fastai/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-gbaqr2pi/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-x86_64-3.7
    creating build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcdImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TarIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PdfParser.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_tkinter_finder.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ContainerIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PSDraw.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_binary.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MpoImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XpmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Image.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcfFontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WmfImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageShow.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Hdf5StubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IcoImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PdfImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GimpGradientFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMorph.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/OleFileIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SgiImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PixarImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/JpegImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_version.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/McIdasImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PpmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/EpsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FitsStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_util.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageGrab.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XbmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TgaImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IcnsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WebPImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageQt.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FpxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageDraw.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageCms.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageWin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GifImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageSequence.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IptcImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BdfFontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GdImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GribStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageColor.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BufrStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/DcxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageEnhance.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImagePath.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageChops.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XVThumbImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PyAccess.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Jpeg2KImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PaletteFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/CurImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/features.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WalImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PngImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/DdsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TiffImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFont.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BlpImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GimpPaletteFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MpegImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SpiderImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FtexImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MicImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFilter.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FliImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageStat.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/__init__.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageTk.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMode.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MspImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageDraw2.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageOps.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImagePalette.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BmpImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PalmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PsdImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageTransform.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMath.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImtImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SunImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TiffTags.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ExifTags.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/JpegPresets.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GbrImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    running egg_info
    writing src/Pillow_SIMD.egg-info/PKG-INFO
    writing dependency_links to src/Pillow_SIMD.egg-info/dependency_links.txt
    writing top-level names to src/Pillow_SIMD.egg-info/top_level.txt
    reading manifest file 'src/Pillow_SIMD.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.c'
    warning: no files found matching '*.h'
    warning: no files found matching '*.sh'
    warning: no directories found matching 'Tests'
    no previously-included directories found matching 'docs/_static'
    no previously-included directories found matching 'Tests'
    warning: no previously-included files found matching '.appveyor.yml'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.codecov.yml'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.landscape.yaml'
    warning: no previously-included files found matching '.travis'
    warning: no previously-included files found matching '.travis/*'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    writing manifest file 'src/Pillow_SIMD.egg-info/SOURCES.txt'
    copying src/PIL/.DS_Store -> build/lib.linux-x86_64-3.7/PIL
    running build_ext
    
    
    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.
    
    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html
    
    Traceback (most recent call last):
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 803, in <module>
        zip_safe=not (debug_build() or PLATFORM_MINGW), )
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
        return distutils.core.setup(**attrs)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/core.py", line 148, in setup
        dist.run_commands()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 966, in run_commands
        self.run_command(cmd)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/site-packages/setuptools/command/install.py", line 61, in run
        return orig.install.run(self)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/install.py", line 545, in run
        self.run_command('build')
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/build.py", line 135, in run
        self.run_command(cmd_name)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/build_ext.py", line 339, in run
        self.build_extensions()
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 589, in build_extensions
        raise RequiredDependencyException(f)
    __main__.RequiredDependencyException: jpeg
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 815, in <module>
        raise RequiredDependencyException(msg)
    __main__.RequiredDependencyException:
    
    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.
    
    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html
    
    
    
    ----------------------------------------
Command "/home/andreas/anaconda3/envs/fastai/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-gbaqr2pi/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-rhe5mrpv/pillow-simd/

This worked the last time I updated fastai, but it failed today. Any help would be greatly appreciated.

0 Likes

Performance Improvement Through Faster Software Components
(Stas Bekman) #350

This has absolutely nothing to do with the fastai installation. i.e. wrong thread.

There are some experimental prebuilt conda packages work discussed in the recent posts here:

1 Like

#351

How do I install a specific version of fastai using conda?

0 Likes

(Stas Bekman) #352

You install it like any other conda package version ==version, e.g.:

conda install -c pytorch -c fastai fastai==1.0.50

1 Like

(stefan) #353

I installed fastai as directed here with
conda install -c pytorch -c fastai fastai
Then I installed jupyter notebook with
conda install jupyter notebook
conda install -c conda-forge jupyter_contrib_nbextensions
but got this:

Collecting package metadata: done
Solving environment: | 
The environment is inconsistent, please check the package plan carefully
The following packages are causing the inconsistency:

  - defaults/linux-64::pillow==6.0.0=py37h34e0f95_0
  - pytorch/linux-64::torchvision==0.3.0=py37_cu10.0.130_1
  - fastai/noarch::fastai==1.0.52=1
done

## Package Plan ##

  environment location: /home/stefan/miniconda3/envs/p37cu10FastAI

  added / updated specs:
    - jupyter_contrib_nbextensions


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    certifi-2019.3.9           |           py37_0         149 KB  conda-forge
    ------------------------------------------------------------
                                           Total:         149 KB

The following packages will be UPDATED:

  ca-certificates    pkgs/main::ca-certificates-2019.1.23-0 --> conda-forge::ca-certificates-2019.3.9-hecc5488_0

The following packages will be SUPERSEDED by a higher-priority channel:

  certifi                                         pkgs/main --> conda-forge
  openssl              pkgs/main::openssl-1.1.1b-h7b6447c_1 --> conda-forge::openssl-1.1.1b-h14c3975_1


Proceed ([y]/n)? 

Downloading and Extracting Packages
certifi-2019.3.9     | 149 KB    | ########################################################################################################################################## | 100% 
Preparing transaction: done
Verifying transaction: done
Executing transaction: done

I can open a jupyter notebook and pytorch and fastai work ok. But I am worried about the ‘inconsistency’ remark about the environment. Maybe I should ignore it but I thought I should check. I created this conda env specifically for fastai with python3.7.3 and did not install anything else except what I described above and the speedy jpeg libraries as described in the fastai install document.

0 Likes

(Stas Bekman) #354

It’s a new thing from recent conda (tool) releases - I think you can safely ignore it at the moment.

0 Likes

(stefan) #355

(post withdrawn by author, will be automatically deleted in 24 hours unless flagged)

0 Likes